* gpg.sgml: Rename backsigs to cross-certification (backsigs is just
[gnupg.git] / configure.ac
index cd28ab8..6a8d6da 100644 (file)
@@ -26,7 +26,7 @@ min_automake_version="1.9.3"
 
 # Remember to change the version number immediately *after* a release
 # and remove the "-cvs" or "rc" suffix immediately *before* a release.
-AC_INIT(gnupg, 1.4.3rc1, bug-gnupg@gnu.org)
+AC_INIT(gnupg, 1.4.3-cvs, bug-gnupg@gnu.org)
 # Set development_version to yes if the minor number is odd or you
 # feel that the default check for a development version is not
 # sufficient.
@@ -817,9 +817,9 @@ AC_CHECK_SIZEOF(unsigned long)
 AC_CHECK_SIZEOF(unsigned long long)
 
 # Ensure that we have UINT64_C before we bother to check for uint64_t
-gt_HEADER_INTTYPES_H
+AC_CHECK_HEADERS([inttypes.h])
 AC_CACHE_CHECK([for UINT64_C], [gnupg_cv_uint64_c_works],
-               AC_COMPILE_IFELSE(AC_LANG_PROGRAM([#include <inttypes.h>],[
+               AC_LINK_IFELSE(AC_LANG_PROGRAM([#include <inttypes.h>],[
 uint64_t foo=UINT64_C(42);]),gnupg_cv_uint64_c_works=yes,gnupg_cv_uint64_c_works=no))
 
 if test "$gnupg_cv_uint64_c_works" = "yes" ; then
@@ -842,7 +842,7 @@ if test x"$use_sha512" = xyes \
     use_sha512=no
 fi
 
-if test x"$use_sha512" ; then
+if test x"$use_sha512" = xyes ; then
     AC_DEFINE(USE_SHA512,1,[Define to include the SHA-384 and SHA-512 digests])
 fi